%define	upstream_name	 Mail-MboxParser
%define	upstream_version 0.55

#global __requires_exclude perl\\(Mail::MboxParser::Mail\\)
#global __provides_exclude perl\\(Mail::MboxParser::Mail\\)|perl\\(Mail::MboxParser::Base\\)|perl\\(Mail::MboxParser::Mail::Body\\)|perl\\(Mail::MboxParser::Mail::Convertable\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	Read-only access to UNIX-mailboxes 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     perl-Mail-MboxParser-0.55-Fix-garbled-attachment-name-RT-66576.patch


BuildRequires:	perl-MIME-tools
BuildArch:	noarch


%{?perl_default_filter}

%description
This module attempts to provide a simplified access to standard UNIX-mailboxes.
It offers only a subset of methods to get 'straight to the point'. More
sophisticated things can still be done by invoking any method from MIME::Tools
on the appropriate return values.

Mail::MboxParser has not been derived from Mail::Box and thus isn't acquainted
with it in any way. It, however, incorporates some invaluable hints by the
author of Mail::Box, Mark Overmeer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changelog README
%{perl_vendorlib}/Mail
%{_mandir}/man3*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.550.0-14.mga10
+ Revision: 2207761
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.550.0-13.mga9
+ Revision: 1817228
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.550.0-12.mga8
+ Revision: 1495482
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.550.0-11.mga7
+ Revision: 1269124
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.550.0-10.mga6
+ Revision: 1029505
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.550.0-9.mga6
+ Revision: 939934
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.550.0-8.mga5
+ Revision: 749631
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 0.550.0-7.mga5
+ Revision: 736742
- kill excludes

* Thu Oct 02 2014 tv <tv> 0.550.0-6.mga5
+ Revision: 735621
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.550.0-5.mga5
+ Revision: 685317
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.550.0-4.mga4
+ Revision: 512733
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.550.0-3.mga3
+ Revision: 369422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.550.0-2.mga3
+ Revision: 335956
- Add patch from RT 66576 fixing test

* Sun Jan 23 2011 jquelin <jquelin> 0.550.0-1.mga1
+ Revision: 33940
- mageia rebuild
- imported package perl-Mail-MboxParser


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.550.0-1mdv2010.1
+ Revision: 405861
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2009.0
+ Revision: 223809
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.55-3mdv2008.1
+ Revision: 180440
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-2mdv2007.0
+ Revision: 107907
- rebuild
- Import perl-Mail-MboxParser

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdk
- new version
- spec cleanup
- %%mkrel
- better summary and description
- fix directory ownership

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.54-1mdk
- 0.54

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.52-1mdk
- 0.52

* Tue Jan 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- 0.51
- remove requires_exceptions and provides_exceptions for internal modules

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.49-1mdk
- 0.49

* Wed Jul 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.48-1mdk
- 0.48

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.47-1mdk
- 0.47
- drop PREFIX and use %%makeinstall_std macro
- cosmetics

